# SoapClient::__setCookie

(PHP 5 >= 5.0.4, PHP 7, PHP 8)

SoapClient::__setCookie — Définit un cookie pour les requêtes SOAP

### Description

public SoapClient::__setCookie(string `$name`, ?string `$value` = `null`): void

Définit le cookie qui sera envoyé avec la requête SOAP.

> Note:

> L'appel à cette méthode affectera tous les appels suivants aux méthodes SoapClient.

### Liste de paramètres

`name`

  Le nom du cookie.

`value`

  La valeur du cookie. Si non spécifié, le cookie sera effacé.

### Valeurs de retour

Aucune valeur n'est retournée.

### Historique

Version | Description
--- | ---
8.0.0 | `value` is now nullable.